: Class ObjectManager

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ObjectManager

    java.lang.Object
      |
      +--ObjectManager

class ObjectManager
extends java.lang.Object
implements java.awt.event.MouseMotionListener, java.awt.event.MouseListener, java.awt.event.KeyListener

This class manages the objects recognized by the Tablet. Tablet adds the recognized using the addObject method. The objects are kept in a Vector.

Field Summary
`(package private) Filter` | `filter`
`(package private) java.util.Vector` | `objects`
`(package private) ParseSupervisor` | `parse_supervisor`
`(package private) GeometricObject[]` | `selected_objects`
`(package private) boolean` | `show_parsed_objects` This is true if the parsed stuff is to be painted.
`(package private) SpatialParser` | `spatial_parser`
`(package private) Tablet` | `tablet`

Constructor Summary
`(package private)` | `ObjectManager(Tablet tablet)` The constructor.

Method Summary
`void` | `addObject(java.lang.Object o)` Adds an object to the objects vector after filtering.
`private void` | `addObjectInternal(java.lang.Object o)` Adds an object to the objects vector.
`void` | `clear(java.awt.Graphics g)` Clear the screen
`void` | `deselectObjects()` Deselect the objects
`java.util.Vector` | `getNeighborObjects(Point p, int r)` Returns a vector of all the geometric objects "sufficiently close to the point passes, determined by the search radius r.
`java.util.Vector` | `getNeighborObjectsOriginal(Point p, int r)` Returns a vector of all the geometric objects "sufficiently close to the point passes, determined by the search radius r.
`void` | `keyPressed(java.awt.event.KeyEvent k)` Handle key stroke events
`void` | `keyReleased(java.awt.event.KeyEvent k)` Handle key stroke events
`void` | `keyTyped(java.awt.event.KeyEvent k)` Handle key stroke events
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Mouse events
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseExited(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Mouse events
`void` | `mousePressed(java.awt.event.MouseEvent e)` Handle mouse events
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Handle mouse events
`private void` | `normalizeObject(java.lang.Object o)` Look at the statistical information and modify the polygons to look like as they were intended to be.
`void` | `paint(java.awt.Graphics g)` Draw the objects
`void` | `parse()` Call the parse method in spatial_parser
`boolean` | `removeObject(java.lang.Object object)` Removes the argument object from the objects Vector.
`void` | `reset()` Removes all the objects.
`void` | `selectObjects(GeometricObject[] geometric_objects)` Select the objects in the argument vector.
`private boolean` | `tryCombining(java.lang.Object o)` Try combining the input object with whatever is present in the objects vector.
`void` | `undo()` A very primitive undo

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### parse_supervisor

    ParseSupervisor parse_supervisor

### spatial_parser

    SpatialParser spatial_parser

### selected_objects

    GeometricObject[] selected_objects

### objects

    java.util.Vector objects

### filter

    Filter filter

### tablet

    Tablet tablet

### show_parsed_objects

    boolean show_parsed_objects

  This is true if the parsed stuff is to be painted. Otherwise the original data points are displayed.

Constructor Detail

### ObjectManager

    ObjectManager(Tablet tablet)

  The constructor.

Method Detail

### addObject

    public void addObject(java.lang.Object o)

  Adds an object to the objects vector after filtering.

### removeObject

    public boolean removeObject(java.lang.Object object)

  Removes the argument object from the objects Vector.

### addObjectInternal

    private void addObjectInternal(java.lang.Object o)

  Adds an object to the objects vector.

### normalizeObject

    private void normalizeObject(java.lang.Object o)

  Look at the statistical information and modify the polygons to look like as they were intended to be.

### tryCombining

    private boolean tryCombining(java.lang.Object o)

  Try combining the input object with whatever is present in the objects vector.

### paint

    public void paint(java.awt.Graphics g)

  Draw the objects

### clear

    public void clear(java.awt.Graphics g)

  Clear the screen

### reset

    public void reset()

  Removes all the objects.

### undo

    public void undo()

  A very primitive undo

### getNeighborObjects

    public java.util.Vector getNeighborObjects(Point p,
                                               int r)

  Returns a vector of all the geometric objects "sufficiently close to the point passes, determined by the search radius r. For the moment, the only Terminals are searched.

### getNeighborObjectsOriginal

    public java.util.Vector getNeighborObjectsOriginal(Point p,
                                                       int r)

  Returns a vector of all the geometric objects "sufficiently close to the point passes, determined by the search radius r. For the moment, the only Terminals are searched. This method looks at the original data points.

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseClicked in interface java.awt.event.MouseListener

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseEntered in interface java.awt.event.MouseListener

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseExited in interface java.awt.event.MouseListener

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mousePressed in interface java.awt.event.MouseListener

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Handle mouse events
  Specified by:
    mouseReleased in interface java.awt.event.MouseListener

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent k)

  Handle key stroke events
  Specified by:
    keyPressed in interface java.awt.event.KeyListener

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent k)

  Handle key stroke events
  Specified by:
    keyReleased in interface java.awt.event.KeyListener

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent k)

  Handle key stroke events
  Specified by:
    keyTyped in interface java.awt.event.KeyListener

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Mouse events
  Specified by:
    mouseDragged in interface java.awt.event.MouseMotionListener

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Mouse events
  Specified by:
    mouseMoved in interface java.awt.event.MouseMotionListener

### deselectObjects

    public void deselectObjects()

  Deselect the objects

### selectObjects

    public void selectObjects(GeometricObject[] geometric_objects)

  Select the objects in the argument vector.

### parse

    public void parse()

  Call the parse method in spatial_parser

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD